<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imsmoothsurf</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="immesh.html">&lt;&lt; immesh</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_c84cce433d3f2911b0e15e783e7281bf.html">Filter Design and Visualization</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imsurf.html">imsurf &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_c84cce433d3f2911b0e15e783e7281bf.html">Filter Design and Visualization</a> &gt; imsmoothsurf</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imsmoothsurf</h1>
    <p class="refpurpose">Visualize 2D matrix using smooth surf plot, useful for frequency response visualization.</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="functionid">imsmoothsurf</span><span class="default">(</span><span class="default">imin</span><span class="default">,</span><span class="default">n</span><span class="default">);</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">imin :</span>
      <dd><p class="para">Input Matrix</p></dd></dt>
   <dt><span class="term">n :</span>
      <dd><p class="para">Number of points to plot</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">This function used to visualize the 2-D matrix as 3D surf plot with the values
as the z-axes value. It is useful to visuallize the filter in frequency
domain, and also the frequency response of the images.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">f</span> <span class="scilaboperator">=</span> <span class="scilabid">fspecial</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">gaussian</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">F</span> <span class="scilaboperator">=</span> <a class="scilabmacro" href="scilab://fftshift">fftshift</a><span class="scilabopenclose">(</span><span class="scilabid">fft2pad</span><span class="scilabopenclose">(</span><span class="scilabid">f</span><span class="scilabdefault">,</span><span class="scilabnumber">256</span><span class="scilabdefault">,</span><span class="scilabnumber">256</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imsmoothsurf</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://abs">abs</a><span class="scilabopenclose">(</span><span class="scilabid">F</span><span class="scilabopenclose">)</span><span class="scilabdefault">,</span><span class="scilabnumber">100</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="immesh.html" class="link">immesh</a></li>
   <li class="member"><a href="imsurf.html" class="link">imsurf</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="immesh.html">&lt;&lt; immesh</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_c84cce433d3f2911b0e15e783e7281bf.html">Filter Design and Visualization</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imsurf.html">imsurf &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
